Bug 592341 - Example "top" output in the RHEL 6 beta (April 2010) Deployment guide is really messed up
Example "top" output in the RHEL 6 beta (April 2010) Deployment guide is real...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Deployment_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Douglas Silas
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 11:32 EDT by Justin Clift
Modified: 2010-11-11 10:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2010-05-14 11:32:57 EDT
Description of problem:

The example output from "top" shown in the RHEL 6 Deployement guide (April 2010), 26.1. System Processes, is badly messed up:

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Deployment_Guide/ch-Gathering_System_Information.html

The incorrect example is just prior to table 26.1.  It has the text from the top command wrapping around instead of being column formatted.

Might give newbies a bit of a fright if it actually looked like that. ;)


Actual results:

 top - 15:02:46 up 35 min, 4 users, load average: 0.17, 0.65, 1.00 Tasks: 110 total, 1 running, 107 sleeping, 0 stopped, 2 zombie Cpu(s): 41.1% us, 2.0% sy, 0.0% ni, 56.6% id, 0.0% wa, 0.3% hi, 0.0% si Mem: 775024k total, 772028k used, 2996k free, 68468k buffers Swap: 1048568k total, 176k used, 1048392k free, 441172k cached PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND 4624 root 15 0 40192 18m 7228 S 28.4 2.4 1:23.21 X 4926 mhideo 15 0 55564 33m 9784 S 13.5 4.4 0:25.96 gnome-terminal 6475 mhideo 16 0 3612 968 760 R 0.7 0.1 0:00.11 top 4920 mhideo 15 0 20872 10m 7808 S 0.3 1.4 0:01.61 wnck-applet 1 root 16 0 1732 548 472 S 0.0 0.1 0:00.23 init 2 root 34 19 0 0 0 S 0.0 0.0 0:00.00 ksoftirqd/0 3 root 5 -10 0 0 0 S 0.0 0.0 0:00.03 events/0 4 root 6 -10 0 0 0 S 0.0 0.0 0:00.02 khelper 5 root 5 -10 0 0 0 S 0.0 0.0 0:00.00 kacpid 29 root 5 -10 0 0 0 S 0.0 0.0 0:00.00 kblockd/0 47 root 16 0 0 0 0 S 0.0 0.0 0:01.74 pdflush 50 root 11 -10 0 0 0 S 0.0 0.0 0:00.00 aio/0 30 root 15 0 0 0 0 S 0.0 0.0 0:00.05 khubd 49 root 16 0 0 0 0 S 0.0 0.0 0:01.44 kswapd0


Expected results:

 top - 15:02:46 up 35 min, 4 users, load average: 0.17, 0.65, 1.00
Tasks: 110 total, 1 running, 107 sleeping, 0 stopped, 2 zombie
Cpu(s): 41.1% us, 2.0% sy, 0.0% ni, 56.6% id, 0.0% wa, 0.3% hi, 0.0% si
Mem:   775024k total, 772028k used,    2996k free,  68468k buffers
Swap: 1048568k total,    176k used, 1048392k free, 441172k cached

 PID USER      PR  NI    VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
4624 root      15   0   40192  18m 7228 S 28.4  2.4   1:23.21 X
4926 mhideo    15   0   55564  33m 9784 S 13.5  4.4   0:25.96 gnome-terminal
6475 mhideo    16   0    3612  968  760 R  0.7  0.1   0:00.11 top
4920 mhideo    15   0   20872  10m 7808 S  0.3  1.4   0:01.61 wnck-applet
   1 root      16   0    1732  548  472 S  0.0  0.1   0:00.23 init
   2 root      34  19       0    0    0 S  0.0  0.0   0:00.00 ksoftirqd/0
   3 root       5 -10       0    0    0 S  0.0  0.0   0:00.03 events/0
   4 root       6 -10       0    0    0 S  0.0  0.0   0:00.02 khelper
   5 root       5 -10       0    0    0 S  0.0  0.0   0:00.00 kacpid
  29 root       5 -10       0    0    0 S  0.0  0.0   0:00.00 kblockd/0
  47 root      16   0       0    0    0 S  0.0  0.0   0:01.74 pdflush
  50 root      11 -10       0    0    0 S  0.0  0.0   0:00.00 aio/0
  30 root      15   0       0    0    0 S  0.0  0.0   0:00.05 khubd
  49 root      16   0       0    0    0 S  0.0  0.0   0:01.44 kswapd0
Comment 2 Douglas Silas 2010-05-14 12:17:57 EDT
Thanks for the bug, Justin. Fixed.

[master ad119d4] GatherSysInfo: fix top output fmt error
Comment 3 RHEL Product and Program Management 2010-05-14 13:04:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Andrew Ross 2010-07-04 23:53:24 EDT
Verified: Red_Hat_Enterprise_Linux-Deployment_Guide-6-web-en-US-0.75-1.el5

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Deployment_Guide/ch-Gathering_System_Information.html
Comment 5 releng-rhel@redhat.com 2010-11-11 10:28:38 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.